<template>
    <v-dialog v-model="dialog" width="auto">
      <template v-slot:activator="{ props }">
        <v-btn
            size="small"
            class="m-1"
            color="yellow-darken-3"
            v-bind="props"><v-icon small>mdi-pencil</v-icon></v-btn>

      </template>
      <v-card>
        <v-card-text>
          <edit-user-form
              @dialog="dialog = false"
              :page="page"
              :user="user"></edit-user-form>
        </v-card-text>
        <v-card-actions>
          <v-btn class="mb-3" color="red-accent-4" block @click="dialog = false">Abbrechen</v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
</template>

<script setup>
import {onMounted, ref} from "vue";
import EditUserForm from "@/components/forms/EditUserForm.vue";
import {useDepartmentStore} from "@/stores/departmentStore";
const dialog = ref(false);
defineProps(["user", "page"]);
</script>

<style scoped>
</style>
